Lucene++ - a full-featured, c++ search engine
API Documentation

Static Public Member Functions
Lucene::IndexFileNameFilter Class Reference

Filename filter that accept filenames and extensions only created by Lucene. More...

`#include <IndexFileNameFilter.h>`

Inheritance diagram for Lucene::IndexFileNameFilter:

## Static Public Member Functions

static bool | accept (const String &directory, const String &name)
| Returns true if this is a file known to be a Lucene index file. More...
static bool | isCFSFile (const String &name)
| Returns true if this is a file that would be contained in a CFS file. This function should only be called on files that pass the accept (ie, are already known to be a Lucene index file). More...
static IndexFileNameFilterPtr | getFilter ()
| Return singleton IndexFileNameFilter. More...

## Additional Inherited Members

Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Filename filter that accept filenames and extensions only created by Lucene.

## Member Function Documentation

## ◆ accept()

static bool Lucene::IndexFileNameFilter::accept | ( | const String & | directory,
|  | const String & | name
| ) |  |

static

Returns true if this is a file known to be a Lucene index file.

## ◆ getFilter()

static IndexFileNameFilterPtr Lucene::IndexFileNameFilter::getFilter | ( |  | ) |

static

Return singleton IndexFileNameFilter.

## ◆ isCFSFile()

static bool Lucene::IndexFileNameFilter::isCFSFile | ( | const String & | name | ) |

static

Returns true if this is a file that would be contained in a CFS file. This function should only be called on files that pass the accept (ie, are already known to be a Lucene index file).

The documentation for this class was generated from the following file:

- IndexFileNameFilter.h

clucene.sourceforge.net